LibreOffice: XListEntryTypedSource Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference

Loading...
Searching...
No Matches
XListEntryTypedSource Interface Reference

specifies a source of string list entries with corresponding underlying data values More...

`import "XListEntryTypedSource.idl";`

Inheritance diagram for XListEntryTypedSource:

## Public Member Functions
sequence< string > | getAllListEntriesTyped ([out] sequence< any > DataValues)
| provides access to the entirety of all list entries, along with the corresponding underlying data values.
Public Member Functions inherited from XListEntrySource
long | getListEntryCount ()
| retrieves the number of entries in the list
string | getListEntry ([in] long Position) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| provides access to a single list entry
sequence< string > | getAllListEntries ()
| provides access to the entirety of all list entries
void | addListEntryListener ([in] XListEntryListener Listener) raises ( com::sun::star::lang::NullPointerException )
| adds a listener which will be notified about changes in the list reflected by the component.
void | removeListEntryListener ([in] XListEntryListener Listener) raises ( com::sun::star::lang::NullPointerException )
| revokes the given listener from the list of components which will be notified about changes in the entry list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies a source of string list entries with corresponding underlying data values

See also
  XListEntrySource

Since
  LibreOffice 5.4

## Member Function Documentation

## ◆ getAllListEntriesTyped()

sequence< string > getAllListEntriesTyped | ( | [out] sequence< any > | DataValues | ) |

provides access to the entirety of all list entries, along with the corresponding underlying data values.

Parameters

  DataValues | The sequence is used by com::sun::star::form::component::ListBox for external sources such as spreadsheets to return the resulting data value if a listbox entry was selected, e.g. set it at the specified bound cell using com::sun::star::form::binding::XValueBinding::setValue().

The documentation for this interface was generated from the following file:

- com/sun/star/form/binding/XListEntryTypedSource.idl